/*
*  smi_thermal.h - Generic smi driver for thermal extensions ($Revision: 1 $)
*
*  Copyright (C) 2006, 2007 Sujith Thomas <sujith.thomas@intel.com>
*  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; version 2 of the License.
*
*  This program is distributed in the hope that it will be useful, but
*  WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
*  General Public License for more details.
*
*  You should have received a copy of the GNU General Public License along
*  with this program; if not, write to the Free Software Foundation, Inc.,
*  59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
*
* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*
*
*
*/

#include <linux/thermal.h>

#define SMI_MAX_THROTTLE_LIMIT 8

struct smi_thermal_info {
	/*ACPI device name (eg:- TZ00)*/
	char name[ACPI_MAX_CHAR];
	/*Command port for SMI driver*/
	unsigned int cmdport;
	/*Data port for SMI driver*/
	unsigned int dataport;
	/*Command code for set new throttle limit*/
	unsigned int setthrottlelimit;
	/*Command code for get current throttle limit*/
	unsigned int getthrottlelimit;
	/*Command code for get max throttle limit*/
	unsigned int getmaxthrottle;
	/*Argument passed for getting max throttle limit*/
	unsigned int maxdat;
	/*Argument passed for getting current throttle limit*/
	unsigned int getdat;

	/*Device capabilities*/
	unsigned long caps;
	struct thermal_device *td;
	struct thermal_device_driver driver;
};

/*
 * smi_get_thermalops
 * -------------------
 * Interface for other drivers which uses SMI for throttling
 * for getting the callback functions
 */
struct thermal_device_ops *smi_get_thermalops(void);
